Lumension® Endpoint Intelligence Center

Intelligence Center » Browse All Vulnerabilities » CVE-2012-0974

Overview

Vulnerability Score 4.3 4.3
CVE Id CVE-2012-0974
Last Modified 15 Oct 2012 12:00:00
Published 25 Sep 2012 07:55:01
Confidentiality Impact NONE NONE
Integrity Impact PARTIAL PARTIAL
Availability Impact NONE NONE
Access Vector NETWORK
Access Complexity MEDIUM
Authentication NONE

CVE-2012-0974

Summary

Multiple cross-site scripting (XSS) vulnerabilities in the getParam function in oc-includes/osclass/core/Params.php in OSClass before 2.3.5 allow remote attackers to inject arbitrary web script or HTML via the (1) sCity, (2) sPattern, (3) sPriceMax, and (4) sPriceMin parameters in a search action to index.php.

Vulnerable Systems

Application

  • Juan Ramon Osclass 1.1

  • Juan Ramon Osclass 1.2

  • Juan Ramon Osclass 2.0

  • Juan Ramon Osclass 2.0.1

  • Juan Ramon Osclass 2.0.2

  • Juan Ramon Osclass 2.0.3

  • Juan Ramon Osclass 2.1

  • Juan Ramon Osclass 2.1.1

  • Juan Ramon Osclass 2.2

  • Juan Ramon Osclass 2.2.1

  • Juan Ramon Osclass 2.2.2

  • Juan Ramon Osclass 2.2.3

  • Juan Ramon Osclass 2.3

  • Juan Ramon Osclass 2.3.1

  • Juan Ramon Osclass 2.3.2

  • Juan Ramon Osclass 2.3.3

  • Juan Ramon Osclass 2.3.4


References

MISC - https://www.htbridge.ch/advisory/multiple_vulnerabilities_in_osclass.html

CONFIRM - https://github.com/osclass/OSClass/commit/ff7ef8a97301aaaf6a97fe46c2c27981a86b4e2f#diff-73

BID - 51662

SECUNIA - 47697

CONFIRM - http://osclass.org/2012/01/16/osclass-2-3-5/

BUGTRAQ - 20120125 Multiple vulnerabilities in OSclass


Last Updated: 27 May 2016 11:00:48